MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007044ardourbugspublic2016-09-26 18:262016-12-27 03:05
Reporterunpiru 
Assigned Tounpiru 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntu 16.04.1OS Version4.4.0-36-generic
Product Version5.3 
Target VersionFixed in Version 
Summary0007044: Crash when recording midi
DescriptionArdour 5.3 always crash when recording midi from an Akai MPX8.
Steps To Reproduce - new project
 - import or rec the attached midi file
Additional InformationStack trace:

ardour-5.3.0: ../libs/evoral/src/Sequence.cpp:319: void Evoral::Sequence<Time>::const_iterator::set_event() [with Time = Evoral::Beats]: La declaración `midi_event_is_valid(_event->buffer(), _event->size())' no se cumple.

Thread 1 "ardour-5.3.0" received signal SIGABRT, Aborted.
0x00007fffef87c418 in raise () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) backtrace
#0 0x00007fffef87c418 in raise () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00007fffef87e01a in abort () from /lib/x86_64-linux-gnu/libc.so.6
#2 0x00007fffef874bd7 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#3 0x00007fffef874c82 in __assert_fail () from /lib/x86_64-linux-gnu/libc.so.6
#4 0x00007ffff50d74f6 in Evoral::Sequence<Evoral::Beats>::const_iterator::set_event (this=0x7fffffffd110) at ../libs/evoral/src/Sequence.cpp:319
#5 0x00007ffff50d5955 in Evoral::Sequence<Evoral::Beats>::const_iterator::const_iterator (this=0x7fffffffd110, seq=..., t=..., force_discrete=true, filtered=
    std::set with 0 elements, active_notes=0x0) at ../libs/evoral/src/Sequence.cpp:197
#6 0x00007ffff66c8a53 in Evoral::Sequence<Evoral::Beats>::begin (this=0x786b820, t=..., force_discrete=true, f=std::set with 0 elements, active_notes=0x0)
    at /home/piru/soft/Ardour-5.3.0/libs/evoral/evoral/Sequence.hpp:278
#7 0x00007ffff66bfd4f in ARDOUR::MidiModel::sync_to_source (this=0x786b6f0, source_lock=...) at ../libs/ardour/midi_model.cc:1463
#8 0x00007ffff697e607 in ARDOUR::SMFSource::ensure_disk_file (this=0x78d58f0, lock=...) at ../libs/ardour/smf_source.cc:768
#9 0x00007ffff697e4d2 in ARDOUR::SMFSource::flush_midi (this=0x78d58f0, lock=...) at ../libs/ardour/smf_source.cc:739
#10 0x00007ffff66fe518 in ARDOUR::MidiSource::session_saved (this=0x78d58f0) at ../libs/ardour/midi_source.cc:466
#11 0x00007ffff6914d0d in ARDOUR::Session::save_state (this=0x21c6760, snapshot_name="bugreport", pending=false, switch_to_snapshot=false, template_only=false)
    at ../libs/ardour/session_state.cc:802
#12 0x0000000000701b84 in ARDOUR_UI::save_session_at_its_request (this=0x1aaba70, snapshot_name="bugreport") at ../gtk2_ardour/ardour_ui.cc:863
#13 0x000000000075cfe1 in boost::_mfi::mf1<void, ARDOUR_UI, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >::operator() (
    this=0x7fff90107908, p=0x1aaba70, a1="bugreport") at /usr/include/boost/bind/mem_fn_template.hpp:165
#14 0x00000000007532e8 in boost::_bi::list2<boost::_bi::value<ARDOUR_UI*>, boost::arg<1> >::operator()<boost::_mfi::mf1<void, ARDOUR_UI, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, boost::_bi::list1<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&> > (
    this=0x7fff90107918, f=..., a=...) at /usr/include/boost/bind/bind.hpp:313
TagsNo tags attached.
Attached Filesmidi file icon bug.midi [^] (88 bytes) 2016-09-26 18:26
txt file icon import-stack.txt [^] (3,750 bytes) 2016-09-26 18:27 [Show Content]
txt file icon recording-stack.txt [^] (2,785 bytes) 2016-09-26 18:27 [Show Content]
png file icon kmidimon output.png [^] (82,439 bytes) 2016-09-26 18:49

- Relationships

-  Notes
(0018725)
paul (administrator)
2016-09-29 06:33

at the time of this bug report, polyphonic pressure was known not to work. fix will be forthcoming.
(0019204)
timbyr (developer)
2016-12-20 20:42

This issue should now be resolved in version 5.5

Please confirm if you can, otherwise I will mark this issue as resolved soon.
(0019220)
unpiru (reporter)
2016-12-27 03:04

Works fine, thanks!

- Issue History
Date Modified Username Field Change
2016-09-26 18:26 unpiru New Issue
2016-09-26 18:26 unpiru File Added: bug.midi
2016-09-26 18:27 unpiru File Added: import-stack.txt
2016-09-26 18:27 unpiru File Added: recording-stack.txt
2016-09-26 18:49 unpiru File Added: kmidimon output.png
2016-09-29 06:33 paul Note Added: 0018725
2016-12-20 20:42 timbyr Note Added: 0019204
2016-12-20 20:42 timbyr Status new => feedback
2016-12-27 03:04 unpiru Note Added: 0019220
2016-12-27 03:04 unpiru Status feedback => new
2016-12-27 03:05 unpiru Status new => resolved
2016-12-27 03:05 unpiru Resolution open => fixed
2016-12-27 03:05 unpiru Assigned To => unpiru


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker